Bug 805655 - Secrets dialog won't accept input
Secrets dialog won't accept input
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 14:29 EDT by Mark Haney
Modified: 2013-02-13 16:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:31:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Snapshot of the problem dialog box. (20.46 KB, image/png)
2012-03-21 14:29 EDT, Mark Haney
no flags Details

  None (edit)
Description Mark Haney 2012-03-21 14:29:00 EDT
Created attachment 571808 [details]
Snapshot of the problem dialog box.

Description of problem:
With a wireless connection, I can input the WEP key into the connection|edit dialog just fine.  But, when I want to activate the network, it goes to 'waiting for authorization' and I get a KWallet auth prompt.  When I input password there I get another dialog box with the Title 'Secrets for <network> KDE Daemon' with a text input, a checkbox for 'show password' and OK & Cancel buttons. However, I cannot input anything using any keyboard (laptop or USB kbd) nor can I copy/paste anything into this dialog.  And when I press OK it keeps popping up and only goes away when I hit Cancel. Which keeps my wireless network connection from coming up.

Note: This is NOT a problem on an open network with no authentication.

Version-Release number of selected component (if applicable):
kde-plasma-networkmanagement-0.9.0-1.fc16.x86_64

How reproducible:
Every time on a WEP network.  Haven't tried a WPA network as I don't have one nearby.

Steps to Reproduce:
1. Input credentials into wireless connection
2. Start connection
3. Dialog pops up and refuses any input
  
Actual results:
No input.

Expected results:
Input key for WEP connection and connection authenticates and opens for use.

Additional info:
This is a brand new install of F16 on a Gateway/Samsung Netbook that has run Windows 7 and Kubuntu Linux for over a year with no trouble.  In Kubuntu I never saw that dialog and I connected it to the very same network I'm trying to connect to now.

I'll be glad to offer any additional info you need.
Comment 1 calcdude84se 2012-04-14 15:23:23 EDT
I have a similar problem. WPA as well as WEP networks are affected. However, the following works for me as a workaround:
1. Connect to an unsecured network
2. Connect to the WEP/WPA-secured network
I proceed to connect just fine to the secured network. Looking at /var/log/messages, the failed connection attempt and successful one go mostly the same, except the successful one has the following lines while the failed one does not:
Apr 14 14:56:30 **** NetworkManager[973]: NetworkManager[973]: <info> Config: added 'wep_key0' value '<omitted>'
Apr 14 14:56:30 **** NetworkManager[973]: NetworkManager[973]: <info> Config: added 'wep_tx_keyidx' value '0'
Comment 2 Fedora End Of Life 2013-01-16 12:09:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 16:31:38 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.